%define upstream_name Horde_Compress
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.6
Release:     	%mkrel 1
Summary:    	Horde Compress API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0
Requires:  	php-pear-Horde_Translation <= 2.0.0 
Requires:  	php-pear-Horde_Util <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Translation = 2.0.0 
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Compress = %{version}
Obsoletes:	horde-compress

%description
This package provides an API for various compression techniques.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Compress.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Compress.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Compress
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Compress/COPYING
%{peardir}/*
%{xmldir}/Horde_Compress.xml


%changelog

* Mon Nov 28 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 173290
- aded %%doc docs/Horde_Compress/COPYING
- upgrade to 1.0.6

* Sun Nov 06 2011 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 163988
- upgrade tp 1.0.5
-Provides:      	php-pear-Horde_Compress
  +Provides:      	php-pear-Horde_Compress = %%{version
-Requires:  	php-pear-Exception <= 2.0.0
-Requires:  	php-pear-Translation <= 2.0.0
-Requires:  	php-pear-Util <= 2.0.0
-Conflicts: 	php-pear-Exception = 2.0.0
-Conflicts:  	php-pear-Translation = 2.0.0
-Conflicts:  	php-pear-Util = 2.0.0
  +Requires:  	php-pear-Horde_Exception <= 2.0.0
  +Requires:  	php-pear-Horde_Translation <= 2.0.0
  +Requires:  	php-pear-Horde_Util <= 2.0.0
  +Conflicts: 	php-pear-Horde_Exception = 2.0.0
  +Conflicts:  	php-pear-Horde_Translation = 2.0.0
  +Conflicts:  	php-pear-Horde_Util = 2.0.0
- imported package php-pear-Horde_Compress

